Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354041 - [Docs] Jenkins Workflows in Documentation Enhancements
Summary: [Docs] Jenkins Workflows in Documentation Enhancements
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Vikram Goyal
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 19:08 UTC by Eric Rich
Modified: 2018-04-24 15:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-24 15:20:35 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Eric Rich 2016-07-08 19:08:27 UTC
Document URL: https://docs.openshift.com/enterprise/3.2/using_images/other_images/jenkins.html#tutorial

Section Number and Name: Tutorial

Describe the issue: This section is blank, and Jenkins is a powerful tool. We need to show customers how to use the plug that we provide/ship with jekins and what benefits it has over or in contrast to the other build mechanisms, offered within the platform. 

Suggestions for improvement: 

Create a new section: Pros/Cons - and outline when a customer should or should not use the jenkins plugin or image, when compared to other build mechanisms, offered within the platform. 

Add sample workflows to the tutoral section that show how a customer can use jenkins. This should start with a git commit, and show how jenkins processes the commit or job, and then uses the plugin to start a build and push an image (with out using the build mechanisms, offered with in the platform - image change triggers, web hooks, etc). 

Additional information:

Comment 1 Ben Parees 2016-07-08 19:10:56 UTC
starting point for doc'ing the openshift jenkins plugin is here:
https://github.com/openshift/jenkins-plugin

adding Gabe who is the expert on the plugin.

Comment 2 Gabe Montero 2016-07-11 14:33:11 UTC
Yeah, if you look at the raw content for that doc section:  https://raw.githubusercontent.com/openshift/openshift-docs/master/using_images/other_images/jenkins.adoc

You'll see a section on the plugin that at the moment wrapped with a ifdef openshift-origin: 

ifdef::openshift-origin[]
== {product-title} Pipeline Plug-in

The Jenkins image's list of pre-installed plug-ins includes a plug-in which
assists in the creating of CI/CD workflows that run against an {product-title}
server.  A series of build steps, post-build actions, as well as SCM-style
polling are provided which equate to administrative and operational actions on
the {product-title} server and the API artifacts hosted there.

In addition to being accessible from the classic "freestyle" form of Jenkins
job, the build steps as of version 1.0.14 of the {product-title} Pipeline
Plug-in are also avaible to Jenkins Pipeline jobs via the DSL extension points
provided by the Jenkins Pipeline Plug-in.

The
https://github.com/openshift/jenkins/tree/master/1/contrib/openshift/configuration/jobs/OpenShift%20Sample[sample
Jenkins job] that is pre-configured in the Jenkins image utilizes the
{product-title} pipeline plug-in and serves as an example of how to leverage the
plug-in for creating CI/CD flows for {product-title} in Jenkins.

See the https://github.com/openshift/jenkins-plugin/[the plug-in's README] for a detailed description of what is available.

endif::openshift-origin[]

Ben - at this point, we should minimally remove the ifdef's and include in all versions of the docs, no?

Then, as Eric suggests, a pro-con list might help folks.  That list could be included in the README as well, but even if it is, I would contend it needs to be here as well.

The basics would be:
1) it is not a complete duplication of the cli / oc command
2) it is geared toward engaging folks used the jenkins job configuration (job defs, pipeline dsl) vs. the openshift cli, targeting the most commonly used scenarios
3) it provides with builds/scaling/deployments pre-canned, additional validation options beyond what the cli provides

Comment 3 Ben Parees 2016-07-11 15:04:35 UTC
We can't include it in the OSE docs until the plugin changes are included in the registry.access.redhat.com/openshift3/jenkins-1-rhel7 image.  Are they?

if they are, then yes we can remove the if-defs.

Comment 4 Gabe Montero 2016-07-11 15:30:50 UTC
Yeah, that image was built 4 weeks ago, and it is missing all of the 3.3 related work around pipelines, DSL, etc.  

The openshift pipeline plugin is there, but is at version 1.13.  So the plugin itself is at a post 3.2 level I would say, but we would minimally need to still ifdef the note around jenkins pipeline DSL.

That still could have value.  Thoughts?

Comment 5 Gabe Montero 2016-07-11 16:37:29 UTC
Ben and I chatted ... we are inclined to have changes like what I outlined wait until the Dawson's have pushed the image updates to registry.access.redhat.com (estimated in a couple of weeks).

But of course others chime in with opinions as they see fit.

Comment 6 Eric Rich 2016-11-10 20:01:02 UTC
(In reply to Gabe Montero from comment #5)
> Ben and I chatted ... we are inclined to have changes like what I outlined
> wait until the Dawson's have pushed the image updates to
> registry.access.redhat.com (estimated in a couple of weeks).
> 
> But of course others chime in with opinions as they see fit.

How related is this to: 

https://github.com/openshift/origin/pull/11844
https://github.com/openshift/openshift-docs/pull/3175

If so I don't feel these PR's capture the essence of what is being asked.

Comment 7 Ben Parees 2016-11-10 20:09:44 UTC
It's not, which is why those PRs don't mention this bug and why we didn't put a comment in this bug pointing to those PRs.

Comment 9 Gaurav Nelson 2018-04-24 15:20:35 UTC
Closing this one, The latest docs at https://docs.openshift.com/container-platform/3.9/using_images/other_images/jenkins.html includes examples and how to use it.


Note You need to log in before you can comment on or make changes to this bug.